source: trunk/server/fedora/specs/rubygems.spec.patch @ 2390

Last change on this file since 2390 was 2390, checked in by achernya, 10 years ago
Update to rubygems 1.8.25-4 Due to some problems with the Fedora buildsystem, disable the checks section. See RHBZ #923499 for more details.
File size: 1.3 KB
  • rubygems.spec

    old new  
    1515
    1616# Executing testsuite (enabling %%check section) will cause dependency loop.
    1717# To avoid dependency loop when necessary, please set the following value to 0
    18 %global enable_check    1
     18%global enable_check    0
    1919
    2020# It cannot be relied on %%{_libdir} for noarch packages. Query Ruby for
    2121# the right value.
     
    2626Summary:        The Ruby standard for packaging ruby libraries
    2727Name:           rubygems
    2828Version:        1.8.25
    29 Release:        4%{?dist}
     29Release:        4%{?dist}.scripts.%{scriptsversion}
    3030Group:          Development/Libraries
    3131License:        Ruby or MIT
    3232
     
    6060# https://github.com/rubygems/rubygems/issues/210
    6161Patch109:       rubygems-1.8.11-binary-extensions.patch
    6262
     63Provides: scripts-rubygems = %{version}-%{release}
     64Patch1000: rubygems-rails-require-thread.patch
    6365
    6466Requires:       ruby(abi) = 1.9.1
    6567Requires:       rubygem(rdoc) >= 3.9.4
    6668Requires:       rubygem(io-console) >= 0.3
    6769Requires:       ca-certificates
    6870BuildRequires:  ruby(abi) = 1.9.1
     71BuildRequires:  ruby
    6972%if %{enable_check}
    7073# For mkmf.rb
    7174BuildRequires:  ruby-devel
     
    105108%patch105 -p1 -b .uninst
    106109%patch109 -p1 -b .bindir
    107110
     111%patch1000 -p1 -b .thread
     112
    108113# Some of the library files start with #! which rpmlint doesn't like
    109114# and doesn't make much sense
    110115for f in `find lib -name \*.rb` ; do
Note: See TracBrowser for help on using the repository browser.